瀏覽代碼

add a statement that checks the curl/base64 command

zfl9 8 年之前
父節點
當前提交
8e7966aa89
共有 1 個文件被更改,包括 3 次插入0 次删除
  1. 3 0
      ss-tproxy

+ 3 - 0
ss-tproxy

@@ -28,6 +28,8 @@ case "$mode" in
         command -v dnsmasq &>/dev/null || { echo "Error: dnsmasq is not installed." 1>&2; exit 1; }
         command -v ipset &>/dev/null || { echo "Error: ipset is not installed." 1>&2; exit 1; }
         command -v perl &>/dev/null || { echo "Error: perl is not installed." 1>&2; exit 1; }
+        command -v curl &>/dev/null || { echo "Warning: curl is not installed." 1>&2; }
+        command -v base64 &>/dev/null || { echo "Warning: base64 is not installed." 1>&2; }
         ;;
     v2ray_chnroute)
         command -v v2ray &>/dev/null || { echo "Error: v2ray is not installed." 1>&2; exit 1; }
@@ -36,6 +38,7 @@ case "$mode" in
         command -v dnsmasq &>/dev/null || { echo "Error: dnsmasq is not installed." 1>&2; exit 1; }
         command -v ipset &>/dev/null || { echo "Error: ipset is not installed." 1>&2; exit 1; }
         command -v chinadns &>/dev/null || { echo "Error: chinadns is not installed." 1>&2; exit 1; }
+        command -v curl &>/dev/null || { echo "Warning: curl is not installed." 1>&2; }
         ;;
     tproxy_global)
         { command -v ss-redir &>/dev/null || command -v ssr-redir &>/dev/null; } || { echo "Error: ss-redir/ssr-redir is not installed." 1>&2; exit 1; }